# GET /v1/casts

Annictに登録されているキャスト情報を取得することができます。

## フィールド

| 名前           | 概要                                                                         |
| ------------ | -------------------------------------------------------------------------- |
| id           | ID                                                                         |
| name         | 名前                                                                         |
| name\_en     | 名前 (英語表記)                                                                  |
| sort\_number | ソート番号                                                                      |
| work         | 紐づく作品情報。取得できるフィールドは [Works](/docs/ja/api/v1/works.md) と同じです。               |
| character    | 紐づくキャラクター情報。取得できるフィールドは [Characters](/docs/ja/api/v1/characters.md) と同じです。 |
| person       | 紐づく人物情報。取得できるフィールドは [People](/docs/ja/api/v1/people.md) と同じです。             |

## パラメータ

| 名前                 | 概要                                                | 使用例                     |
| ------------------ | ------------------------------------------------- | ----------------------- |
| fields             | レスポンスボディに含まれるデータのフィールドを絞り込みます。                    | fields=id,name          |
| filter\_ids        | IDで絞り込みます。                                        | filter\_ids=1,2,3       |
| filter\_work\_id   | 作品IDで絞り込みます。                                      | filter\_work\_id=1111   |
| page               | ページ数を指定します。                                       | page=2                  |
| per\_page          | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。 | per\_page=30            |
| sort\_id           | IDで並び替えます。`asc` または `desc` が指定できます。               | sort\_id=desc           |
| sort\_sort\_number | ソート用の番号で並び替えます。`asc` または `desc` が指定できます。          | sort\_sort\_number=desc |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/casts?access_token=(access_token)&filter_ids=43414
```

```javascript
{
  "casts": [
    {
      "id": 43414,
      "name": "東山奈央",
      "name_en": "Touyama, Nao",
      "sort_number": 10,
      "work": {
        "id": 5459,
        "title": "ゆるキャン△",
        ...
      },
      "character": {
        "id": 32268,
        "name": "志摩リン",
        ...
      },
      "person": {
        "id": 1411,
        "name": "東山奈央",
        ...
      }
    }
  ],
  "total_count": 1,
  "next_page": null,
  "prev_page": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/casts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
